import { hooks } from '@opentinyvue/vue-common';
declare const _default: hooks.DefineComponent<{
    accurateJumper: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    appendToBody: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    currentPage: {
        type: NumberConstructor;
        default: () => number;
    };
    disabled: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    hideOnSinglePage: BooleanConstructor;
    isBeforePageChange: BooleanConstructor;
    layout: StringConstructor;
    mode: StringConstructor;
    nextText: StringConstructor;
    pageCount: NumberConstructor;
    pageSize: {
        type: NumberConstructor;
        default: () => number;
    };
    pageSizes: {
        type: ArrayConstructor;
        default: () => number[];
    };
    pagerCount: {
        type: NumberConstructor;
        validator: (value: number) => boolean;
        default: () => number;
    };
    popperAppendToBody: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    showTotalLoading: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    customTotal: {
        type: (StringConstructor | BooleanConstructor)[];
        default: () => boolean;
    };
    popperClass: StringConstructor;
    prevText: StringConstructor;
    total: NumberConstructor;
    changeCompat: BooleanConstructor;
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_mcp_config: ObjectConstructor;
    tiny_chart_theme: ObjectConstructor;
}, {
    t: (this: any, path: any, options?: any) => any;
    handleJumperFocus: (e: FocusEvent) => void;
    handleJumperInput: (e: Event) => void;
    handleJumperChange: () => void;
    handleJumperClick: () => void;
    parseJumperValue: () => void;
    handleSizeChange: (val: number) => void;
    canJumperGo: () => boolean;
    beforeSizeChangeHandler: (params: any) => void;
    beforePagerChangeHandler: (params: any) => void;
    beforeJumperChangeHandler: (params: any) => void;
    copyEmit: (...args: any[]) => void;
    beforeChangeHandler: (val?: number) => boolean;
    handleCurrentChange: (val: number) => false | undefined;
    prev: () => void;
    next: () => void;
    buildBeforePageChangeParam: (param: any) => any;
    getValidCurrentPage: (val: number) => any;
    emitChange: () => void;
    setTotal: (val: number) => void;
    totalText: hooks.ComputedRef<any>;
    internalPageCount: hooks.ComputedRef<number | null>;
    internalLayout: hooks.ComputedRef<string>;
    sizesList: hooks.Ref<{
        hide: () => void;
    } | null>;
    internalCurrentPage: hooks.Ref<number>;
    internalPageSize: hooks.Ref<number>;
    lastEmittedPage: hooks.Ref<number>;
    userChangePageSize: hooks.Ref<boolean>;
    internalTotal: hooks.Ref<number | undefined>;
    showSizes: hooks.Ref<boolean>;
    jumperValue: hooks.Ref<number>;
}, unknown, {}, {}, hooks.ComponentOptionsMixin, hooks.ComponentOptionsMixin, ("current-change" | "size-change" | "before-page-change" | "page-change" | "prev-click" | "next-click" | "update:currentPage" | "update:pageSize" | "before-change")[], "current-change" | "size-change" | "before-page-change" | "page-change" | "prev-click" | "next-click" | "update:currentPage" | "update:pageSize" | "before-change", hooks.PublicProps, Readonly<hooks.ExtractPropTypes<{
    accurateJumper: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    appendToBody: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    currentPage: {
        type: NumberConstructor;
        default: () => number;
    };
    disabled: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    hideOnSinglePage: BooleanConstructor;
    isBeforePageChange: BooleanConstructor;
    layout: StringConstructor;
    mode: StringConstructor;
    nextText: StringConstructor;
    pageCount: NumberConstructor;
    pageSize: {
        type: NumberConstructor;
        default: () => number;
    };
    pageSizes: {
        type: ArrayConstructor;
        default: () => number[];
    };
    pagerCount: {
        type: NumberConstructor;
        validator: (value: number) => boolean;
        default: () => number;
    };
    popperAppendToBody: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    showTotalLoading: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    customTotal: {
        type: (StringConstructor | BooleanConstructor)[];
        default: () => boolean;
    };
    popperClass: StringConstructor;
    prevText: StringConstructor;
    total: NumberConstructor;
    changeCompat: BooleanConstructor;
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_mcp_config: ObjectConstructor;
    tiny_chart_theme: ObjectConstructor;
}>> & {
    "onCurrent-change"?: ((...args: any[]) => any) | undefined;
    "onSize-change"?: ((...args: any[]) => any) | undefined;
    "onBefore-page-change"?: ((...args: any[]) => any) | undefined;
    "onPrev-click"?: ((...args: any[]) => any) | undefined;
    "onNext-click"?: ((...args: any[]) => any) | undefined;
    "onPage-change"?: ((...args: any[]) => any) | undefined;
    "onUpdate:currentPage"?: ((...args: any[]) => any) | undefined;
    "onUpdate:pageSize"?: ((...args: any[]) => any) | undefined;
    "onBefore-change"?: ((...args: any[]) => any) | undefined;
}, {
    disabled: boolean;
    currentPage: number;
    pageSize: number;
    appendToBody: boolean;
    tiny_mode_root: boolean;
    popperAppendToBody: boolean;
    changeCompat: boolean;
    accurateJumper: boolean;
    hideOnSinglePage: boolean;
    isBeforePageChange: boolean;
    pageSizes: unknown[];
    pagerCount: number;
    showTotalLoading: boolean;
    customTotal: string | boolean;
}, {}>;
export default _default;
